Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1065890 - vmusr generates gtk_disable_setlocale() must be called before gtk_init warning
Summary: vmusr generates gtk_disable_setlocale() must be called before gtk_init warning
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: open-vm-tools
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ravindra Kumar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-17 08:53 UTC by Sitsofe Wheeler
Modified: 2016-06-29 20:29 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-29 20:29:04 UTC
sitsofe: needinfo-


Attachments (Terms of Use)
Fedora 22 trace of open-vm-tools upgrade (deleted)
2015-11-17 12:32 UTC, Sitsofe Wheeler
no flags Details

Description Sitsofe Wheeler 2014-02-17 08:53:40 UTC
Description of problem:
After vmusr is started a warning appears in the journal.

Version-Release number of selected component (if applicable):
open-vm-tools-desktop-9.4.0-1.fc20.x86_64

How reproducible:
Reproducible every time.

Steps to Reproduce:
1. Start GNOME 3 on a VMWare system with open-vm-tools-desktop installed.
2. Open a terminal and run
killall vmtoolsd
/usr/bin/vmtoolsd -n vmusr
3. In a separate terminal run
journalctl -eb

Actual results:
Feb 17 08:50:29 eject vmusr[1762]: [ warning] [GLib-GObject] Attempt to add property ToolsCoreService::tcs-app-ctx after class was initialised
Feb 17 08:50:29 eject vmusr[1762]: [ warning] [GLib-GObject] Attempt to add property ToolsCoreService::tcs-prop-thread-pool after class was initialised
Feb 17 08:50:29 eject gnome-session[796]: Window manager warning: Log level 16: STACK_OP_ADD: window 0x1200001 already in stack
Feb 17 08:50:29 eject gnome-session[796]: Window manager warning: Log level 16: STACK_OP_ADD: window 0x1200001 already in stack
Feb 17 08:50:29 eject vmusr[1762]: [ warning] [Gtk] gtk_disable_setlocale() must be called before gtk_init()

Expected results:
No warnings/errors related to vmusr.

Additional info:
The [GLib-GObject] warnings are covered by Bug #1010531 .

Comment 1 Fedora End Of Life 2015-05-29 10:57:02 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Sitsofe Wheeler 2015-06-08 08:07:49 UTC
Still here on Fedora 22:
$ journalctl --user | grep vmusr
Jun 08 09:01:50 <name> vmusr[1571]: [ warning] [Gtk] gtk_disable_setlocale() must be called before gtk_init()

Updating version.

Comment 3 Sitsofe Wheeler 2015-11-15 16:53:36 UTC
I think this is fixed in open-vm-tools-10.0.0-7.fc23.x86_64 on Fedora 23:
journalctl --user | grep vmusr; echo $?
1

Comment 4 Ravindra Kumar 2015-11-15 19:45:05 UTC
I don't think we changed anything for this issue as such. Either some other change in our code or a change in gtk lib itself must have fixed it. Could you please check if you still see it Fedora 22 with open-vm-tools-10.0.0-7.fc22.x86_64?

Comment 5 Sitsofe Wheeler 2015-11-15 20:40:47 UTC
I'm not seeing vmusr messages in the journal on Fedora 22 after an upgrade from open-vm-tools-9.10.2-1.fc22.x86_64 to open-vm-tools-10.0.0-7.fc22.x86_64 ...

Comment 6 Ravindra Kumar 2015-11-15 21:45:15 UTC
Thanks for checking and confirming.

Are you sure that the difference in behavior was with the same version of gtk library? I mean could you please confirm if gtk library version/package was same before and after upgrading open-vm-tools?

Comment 7 Sitsofe Wheeler 2015-11-16 12:58:53 UTC
On Fedora 22 downgrading to
open-vm-tools-desktop-9.10.0-1.fc22.x86_64
open-vm-tools-9.10.0-1.fc22.x86_64
rebooting and then running
journalctl -b --user | grep vmusr
shows a warning. Subsequently upgrading to
open-vm-tools-10.0.0-7.fc22.x86_64
open-vm-tools-desktop-10.0.0-7.fc22.x86_64
and doing the same does not.

Comment 8 Ravindra Kumar 2015-11-16 18:55:31 UTC
Thanks for the information, but I don't see details for gtk library version before and after upgrading to open-vm-tools 10.0.0. Could you please do an RPM query (rpm -qa | grep -i gtk) before and after open-vm-tools upgrade? I want to check if you are seeing this with same version of gtk packages. Thanks!

Comment 9 Sitsofe Wheeler 2015-11-17 12:32:58 UTC
Created attachment 1095466 [details]
Fedora 22 trace of open-vm-tools upgrade

Attaching trace of Fedora 22 Workstation LiveCD upgrade of open-vm-tools.

Comment 10 Ravindra Kumar 2015-11-18 03:54:41 UTC
Thanks for capturing the trace, Sitsofe. I will check and get back to you on this.

Comment 11 Ravindra Kumar 2016-03-22 00:18:30 UTC
Sitsofe, sorry for taking longer to get back on this one. Thanks for capturing the details. Looking at the details, it looks like you are not getting the logs after upgrade because you did not logout and login. That is required to restart vmusr service.

Could you please logout and login back after you perform upgrade step? We need to see if the log messages still show up.

Comment 12 Sitsofe Wheeler 2016-04-02 08:53:49 UTC
Ravindra:
I believe you're mistaken - why would I have to log in and out to generate the message again given that the trace clearly shows that starting vmtoolsd by hand generates the message (did you notice how the number of lines found increased after the manual invocation of vmtoolsd before the upgrade)? Further, the trace also shows vmtoolsd being started by hand *twice* after the upgrade...

Additionally why would any messages "show up" after the upgrade when I stated in Comment #3 and Comment #5 that I don't see the warnings any more with newer packages?

Something that will clear this up rapidly is if you can try these steps for yourself:
1. Download a Fedora 22 LiveCD from https://download.fedoraproject.org/pub/fedora/linux/releases/22/Workstation/x86_64/iso/Fedora-Live-Workstation-x86_64-22-3.iso .
2. Boot the LiveCD ISO in VMware.
3. Go to Activities at the top left and start a Terminal.
4. Follow the steps in attachment 1095466 [details] .

When you've done this can you tell me what the outcome was for you? This should allow you to debug the session and narrow down whether any packages other than your own changed etc. Thanks!

Comment 13 Sinclair Yeh 2016-06-26 01:12:57 UTC
Hi, just to double check.  The issue no longer occurs after upgrading to open-vm-tools-desktop-10.0.0-*?

I can reproduce this problem with open-vm-tools-desktop-9.10.0-1.fc22.x86_64, but when I built and installed a newer version, the issue is gone even though the code is still not calling gtk_disable_setlocale().

Given this new information, is there still something we need to fix?

Comment 14 Sitsofe Wheeler 2016-06-26 16:05:20 UTC
(In reply to Sinclair Yeh from comment #13)
> Hi, just to double check.  The issue no longer occurs after upgrading to
> open-vm-tools-desktop-10.0.0-*?

That's right - the problem no longer occurs in open-vm-tools-10.0.0-7.fc22.x86_64 (or later) so from my perspective the problem was fixed towards the end of last year with just the upgrade of open-vm-tools-desktop package.

> Given this new information, is there still something we need to fix?

To me this isn't new information because I've suggested that the problem had gone with a package upgrade in comment #3, then again in comment #5, comment #7 and finally again in comment #9 which included a log of my results.

As far as I can tell there's nothing left to fix and this issue was only open to answer VMware queries. Can you mark this as resolved?

Comment 15 Ravindra Kumar 2016-06-29 20:29:04 UTC
Thanks Sinclair and Sitsofe!

As this is no longer applicable to 10.x version. Closing it based on the information provided so far.


Note You need to log in before you can comment on or make changes to this bug.